<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    public function user()
    {
        return $this->belongsTo('App\User','id','employee_id');
    }
    public function designationName()
    {
        return $this->belongsTo('App\Models\EmploymentDetail','id','employee_id')->orderBy('id','ASC');
    }
    public function gradeName()
    {
        return $this->belongsTo('App\Models\EmploymentDetail','id','employee_id')->orderBy('id','ASC');
    }
    
    
}
